//    
//        
//      

import from macros640x;
import from macros6405;

begin text

.if .nm64revision == 5;

    global _StartTimerRepeat_T0 : label;
    global _StartTimerRepeat_T1 : label;
    global _StartTimerOnce_T0 : label;
    global _StartTimerOnce_T1 : label;
    global _StopTimer_T0 : label;
    global _StopTimer_T1 : label;
    global _SetTimerCounter_T0 : label;
    global _SetTimerCounter_T1 : label;
    global _GetTimerCounter_T0 : label;
    global _GetTimerCounter_T1 : label;
    global _TimerPinSetInput_T0 : label;
    global _TimerPinSetInput_T1 : label;
    global _TimerPinSetFlip_T0 : label;
    global _TimerPinSetFlip_T1 : label;
    global _TimerPinSetPositive_T0 : label;
    global _TimerPinSetPositive_T1 : label;
    global _TimerPinSetNegative_T0 : label;
    global _TimerPinSetNegative_T1 : label;


//------------------------------------------
// StartTimerRepeat
//       ,
//   t0 ( t1 )    

    <_StartTimerRepeat_T0>
        delayed return;
        START_TIMER0( 1 );	//   
        vnul;
        vnul;

    <_StartTimerRepeat_T1>
        delayed return;
        START_TIMER1( 1 );	//   
        vnul;
        vnul;

//------------------------------------------
// StartTimerOnce
//       ,
//     

    <_StartTimerOnce_T0>
        delayed return;
        START_TIMER0( 0 );	//   
        vnul;
        vnul;

    <_StartTimerOnce_T1>
        delayed return;
        START_TIMER1( 0 );	//   
        vnul;
        vnul;

//------------------------------------------
// StopTimer
//  

    <_StopTimer_T0>
        delayed return;
        STOP_TIMER0();
        vnul;
        vnul;

    <_StopTimer_T1>
        delayed return;
        STOP_TIMER1();
        vnul;
        vnul;

//------------------------------------------
// size_t SetTimerCounter ( size_t CounterValue );
//   CounterValue   t0 ( t1 ),
//    t0 ( t1 )

    <_SetTimerCounter_T0>
        ar5 = [ar7 - 3];  //   ar5 caller saved
		delayed return;
		gr7 = t0;
        t0 = ar5;
		vnul;

    <_SetTimerCounter_T1>
        ar5 = [ar7 - 3];  //   ar5 caller saved
		delayed return;
		gr7 = t1;
        t1 = ar5;
		vnul;

//------------------------------------------
// size_t GetTimerCounter ();
//    

    <_GetTimerCounter_T0>
		delayed return;
		gr7 = t0;
		gr7 = t0;
		vnul;

    <_GetTimerCounter_T1>
		delayed return;
		gr7 = t1;
		gr7 = t1;
		vnul;

//------------------------------------------
// TimerPinSetInput;
//  TIMER      

    <_TimerPinSetInput_T0>
        delayed return;
        pcr_6405 clear 0c00_0000h;

    <_TimerPinSetInput_T1>
        delayed return;
        pcr_6405 clear 0_c000_0000h;

//------------------------------------------
// TimerPinSetFlip;
//  TIMER   
//        


    <_TimerPinSetFlip_T0>
        pcr_6405 clear 0800_0000h;
        delayed return;
        pcr_6405 set 0400_0000h;

    <_TimerPinSetFlip_T1>
        pcr_6405 clear 8000_0000h;
        delayed return;
        pcr_6405 set 4000_0000h;

//------------------------------------------
// TimerPinSetPositive;
//  TIMER   
//       
//     


    <_TimerPinSetPositive_T0>
        pcr_6405 clear 0400_0000h;
        delayed return;
        pcr_6405 set 0800_0000h;

    <_TimerPinSetPositive_T1>
        pcr_6405 clear 4000_0000h;
        delayed return;
        pcr_6405 set 8000_0000h;

//------------------------------------------
// TimerPinSetNegative;
//  TIMER   
//       
//     


    <_TimerPinSetNegative_T0>
        delayed return;
        pcr_6405 set 0c00_0000h;

    <_TimerPinSetNegative_T1>
        delayed return;
        pcr_6405 set 0_c000_0000h;

//------------------------------------------
.endif;		//.if .nm64revision == 5;

end text;



