/*----------------------------------------------------------------
 *
 * NeuroChip NM6403, C run-time library
 * 1997-1998 (c) RC Module Inc.
 * nonstd.h,
 *
 *---------------------------------------------------------------- */

/*
          /++
	  <nonstd.h> / <cnonstd>

            ANSI C   
            Borland International
*/

#ifndef __NON_STD
#define __NON_STD

#include <stdlib.h>

#if 0 // defined(__cplusplus)

/*       */

template <class T>
inline T max(const T &a,const T &b) { return (((a) > (b)) ? (a) : (b)); }
template <class T>
inline T min(const T &a,const T &b) { return (((a) < (b)) ? (a) : (b)); }

/*     0  (__num-1) */

inline int random(int __num)
{
        return(int)(((long)rand()*__num)/(RAND_MAX+1));
}

#else

/*       */

#define max(a,b)    (((a) > (b)) ? (a) : (b))
#define min(a,b)    (((a) < (b)) ? (a) : (b))

/*     0  (__num-1) */

#define random(num)(int)(((long)rand()*(num))/(RAND_MAX+1))

#endif

#endif /* __NON_STD */
