//////////////////////////////////////////////////////////////////////////////
//                                                                          //
//                              //
//                                                                          //
//                                               //
//                                           //
//                                                                          //
//                          u64tof.asm                                      //
//                                                                          //
//        64      //
//     64 .                                     //
// ConvU64toD -      double.                   //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////

// : 
// : 02 ( 27.11.97 )
// : 
// :   2    .    
//   .

global ConvU64toD :label;
extern DResult :label;

begin text

//=====  ConvU64toD ==========================
//       64    
//     64 .
//    .
//  :    
//  0 = SP -       
// -1 = PSW
// -2 = PC
// -3 = ArgHi -    32  ,
// -4 = ArgLo -    32  ,
//  :
//  0 = SP -       
// -1 = PSW
// -2 = PC
// -3 = ResHi -    32  ,
// -4 = ResLo -    32  .
// : ar5, gr7
<ConvU64toD>

    ar5 = sp;
    push ar6, gr6;
    ar6 = ar5;
    push ar4, gr4;
    push ar2, gr2;
    ar2, gr2 = [ ar5 -= 4 ];
    push ar0, gr0
        with gr0 = false;
    push ar1, gr1;
    gr1 = ar2;
    push ar3, gr3;
    push ar5, gr5
        with gr5 = false;

    delayed call DResult;
    gr3 = 1023 + 52;
    // call DResult;

    [ ar6 -= 4 ] = ar0, gr0;
    pop ar5, gr5;
    pop ar3, gr3;
    pop ar1, gr1;
    pop ar0, gr0;
    pop ar2, gr2;
    pop ar4, gr4;
    pop ar6, gr6;
    return;

end text;

//////////////////////////////////////////////////////////////////////////////
//                                                                          //
//                        u64tod.asm                              //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////
