//----------------------------------------------------------------
//
// Copyright 1998-2010 (c) RC Module.
// NeuroChip NM6407.
//
// nc_int05.h
// Header file for low level library.
// Contain declaration of timer, comm. port and interrupt managing function
//
//----------------------------------------------------------------

#ifndef _NC_INT_H
#define _NC_INT_H

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

///////////////////////////////////
//  
///////////////////////////////////

//      :  
//       
//     

//     1,    -
int clock();

///////////////////////////////////
//  
///////////////////////////////////


///////////////////////////////////
//  
///////////////////////////////////

//     
unsigned int LibintGetCPUID();




//     
unsigned int LibintGetPSWR();

//    NMSCR
enum CPUIDMasks
{
    CPUID_INDEX   = 1   <<24,    //   
    CPUID_FIXED   = 1   <<20,    //      
    CPUID_FLOAT   = 1   <<21,    //      
    CPUID_ARCH    = 0xf <<16,    //    ( nmc4 - 4 )
    CPUID_PRTNUM  = 0xfff <<4,   //     (6407 - 0x0b7 )
    CPUID_REV     = 0xf          //   
};

unsigned int LibintGetNMSCR();
void LibintSetNMSCR( unsigned int );

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // _NC_INT_H
