global DDiv :label;


extern DFrExp           :label;
extern DResult          :label;
extern FPIEEE_Signal    :label;


import FPIEEE_FLAGS_DEF from rtmacro;

FPIEEE_FLAGS_DEF();


begin text

<DDiv>
    ar5 = sp;
    push ar6, gr6;
    ar6 = ar5;
    push ar1, gr1;
    ar1, gr1 = [ ar5 -= 4 ];    // 
    push ar0, gr0;
    ar0, gr0 = [ --ar5 ];       // 
    push ar2, gr2;
    push ar3, gr3;
    push ar4, gr4;
    push ar5, gr5;
    sp += 2;
    push ar0, gr0;
    call DFrExp;
    pop ar5, gr5;   //    
    gr5 = ar5       //    
        with gr6 = gr5;
    sp += 2
        with gr3 = gr7;
    push ar1, gr1;
    call DFrExp;
    pop ar0, gr0    //    
        with gr1 = gr3 or gr7;
    gr4 = ar0;      //    
    if <>0 skip Abnormal
        with gr0 or gr4;
    if =0 delayed skip DivByZero;
    pop ar3, gr3     //    
        with gr6 or gr5;
    nul;
    // cond. skip DivByZero
    if =0 delayed skip Zero;

        //  
    gr7 = 00100000h;
    with gr0 - gr7;
    if u>= delayed skip DivLoop;
    gr1 = false;
    gr2 = false;
    // cond. skip DivLoop
<AdjLoop>
    gr4 <<= 1;
    gr0 C<<= 1;
    with gr0 - gr7;
    gr3-- noflags;
    if u< skip AdjLoop;

        //  
<DivLoop>
    with gr5 - gr4;
    with gr6 - gr0 - 1 + carry;
    if u< delayed skip L1;
    gr1 C<<= 1;
    gr2 C<<= 1;
    // cond. skip L1;
    gr5 = gr5 - gr4;
    gr6 = gr6 - gr0 - 1 + carry;
<L1>
    with gr2 - gr7;
    gr3++ noflags;
    if u< delayed skip DivLoop;
    gr5 <<= 1;
    gr6 C<<= 1;
    // cond. skip DivLoop

    pop ar5, gr5
        with gr5 - gr4;
    gr4 = gr6 - gr0 - 1 + carry;
    gr7 = ar5       //  
        with gr0 C>>= 1;
    gr5 = ar3       //  
        with gr3 = gr5 - gr3;
    gr7 = 1023 + 53    // 53 -    
        with gr5 = gr5 xor gr7;  //  
    delayed call DResult
        with gr3 += gr7;
    gr0 >>= 31;
    gr0 <<= 31;
    // call DResult;
<Ret>
    [ ar6 -= 4 ] = ar0, gr0;
    pop ar5, gr5;
    pop ar4, gr4;
    pop ar3, gr3;
    pop ar2, gr2;
    pop ar0, gr0;
    pop ar1, gr1;
    pop ar6, gr6;
    return;

<Zero>
    sp -= 2;
    delayed skip Ret;
    gr0 = false;
    ar0 = gr0;
    // skip Ret;

<DivByZero>
    ar0, gr0 = ar3, gr3;	// was - pop ar0,gr0 - already poped in delayed commands.
    gr0 = ar0;      //  
    if =0 delayed skip Invalid;     // 0/0
    pop ar1, gr1
        with gr7 = false;
    gr1 = ar1;      //  
    // cond. skip Invalid
    ar0 = gr7;
    delayed call FPIEEE_Signal;
    gr7 = _FPIEEE_DivByZero;
    // call FPIEEE_Signal;
    gr7 = 7ff00000h
        with gr0 = gr0 xor gr1;
    delayed skip Ret
        with gr0 >>= 31;
    gr0 <<= 31;
    gr0 = gr0 or gr7;
    // skip Ret;

<Abnormal>
    with gr1;
    if < skip NaN
        with gr3;
    if > delayed skip Inf1
        with gr7;

        //   ,  0  
    pop ar0, gr0;
    gr0 = ar0;
    // cond. skip Inf1
    pop ar1, gr1
        with gr7 = false;
    gr1 = ar1;
    delayed skip Ret;
        with gr0 = gr0 xor gr1;
    ar0 = gr7
        with gr0 >>= 31;
    gr0 <<= 31;
    // skip Ret

<Inf1>
    if > delayed skip Invalid;      // Inf/Inf
    pop ar1, gr1;
    ar1 = ar1;
    // cond. skip Invalid;

        //    
    gr7 = 7ff00000h
        with gr0 = gr0 xor gr1;
    gr0 >>= 31;
    gr0 <<= 31;
    delayed skip Ret
        with gr0 = gr0 or gr7;
    gr7 = false;
    ar0 = gr7;
    // skip Ret;

<NaN>
    delayed skip Ret;
    gr0 = true;
    ar0 = gr0;
    // skip Ret;

<Invalid>
    delayed call FPIEEE_Signal;
    gr7 = _FPIEEE_Invalid;
    // call FPIEEE_Signal;
    delayed skip Ret;
    gr0 = true;
    ar0 = gr0;
    // skip Ret;

end text;
